%define AMC_OPENCV -I %{_includedir}/opencv -lopencv_core -lopencv_highgui
%define AMC_cat Education;
%define AMC_makepass SYSTEM_TYPE=rpm MODSDIR=%_libdir/AMC MODELSDIR=%_datadir/auto-multiple-choice/models TEXDIR=%_datadir/texmf/tex/latex/AMC BINDIR=%{_bindir} ICONSDIR=%_datadir/auto-multiple-choice/icons PIXDIR=%_datadir/pixmaps PERLDIR=%{perl_vendorlib} MAN1DIR=%{_mandir}/man1 DOCDIR=%{_docdir}/%{name} DESKTOPDIR="" DESKTOP_CAT="%{AMC_cat}" GCC_OPENCV="%{AMC_OPENCV}" USER_GROUP=""

%define rel 2

Name:           auto-multiple-choice
Version:        1.1.1
Release:        %mkrel %{rel}
Summary:        Auto Multiple Choice - Multiple choice papers management
License:        GPLv2+
Group:          Education
URL:            http://home.gna.org/auto-qcm/
Source0:        http://download.gna.org/auto-qcm/%{name}_%{version}_sources.tar.gz
Patch1:		30-gcc4.6.path
BuildRequires:  pkgconfig(poppler)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  desktop-file-utils
BuildRequires:  librsvg
BuildRequires:  netpbm-devel
BuildRequires:  netpbm
BuildRequires:  dblatex
BuildRequires:  texlive
BuildRequires:  docbook-style-xsl
BuildRequires:  docbook-dtds
BuildRequires:  perl-Archive-Tar

Requires:       texlive
Requires:       perl-Net-CUPS
Requires:       ghostscript
Requires:       poppler
Requires:       netpbm
Requires:       unzip
Requires:       graphicsmagick
Requires:       perl(Graphics::Magick)

%description
Utility to manage multiple choice questionnaires, with optionally
mixed questions and answers. AMC provides automatic marking from papers'
scans. Annotated papers are produced. Marks can be exported as a
OpenOffice.org sheet file.

%files -f %{name}.lang
%doc COPYING ChangeLog doc/html doc/auto-multiple-choice.??.xml doc/auto-multiple-choice.??.pdf
%doc %{_datadir}/doc/texmf/AMC
%dir %_datadir/auto-multiple-choice
%_libdir/AMC
%_datadir/auto-multiple-choice/models
%_datadir/auto-multiple-choice/icons
%_datadir/texmf/tex/latex/AMC
%_bindir/auto-multiple-choice
%_datadir/pixmaps/auto-multiple-choice.xpm
%_datadir/gtksourceview-3.0/language-specs/amc-txt.lang
%_datadir/mime/packages/auto-multiple-choice.xml
%perl_vendorlib/AMC
%_datadir/applications/auto-multiple-choice.desktop
%_mandir/man1/auto-multiple-choice.*.1*
%_mandir/man1/auto-multiple-choice.1*
%_mandir/man1/AMC-*.1*

#------------------------------------------------------------------------------

%prep
%setup -q
%patch1 -p1

%build
%make %{AMC_makepass} GCC_NETPBM="-I /usr/include/netpbm -lnetpbm" GCC_POPPLER="-I /usr/include/poppler -lpoppler" GCC="gcc" GCC_PP="g++" CFLAGS="$RPM_OPT_FLAGS -Wall" CXXFLAGS="$RPM_OPT_FLAGS -Wall" TEXINPUTS=/usr/share/dblatex/latex/graphics/:

%install
%__rm -rf %{buildroot}
make DESTDIR=%buildroot %{AMC_makepass} install
desktop-file-install --delete-original --dir=%{buildroot}%{_datadir}/applications auto-multiple-choice.desktop
%find_lang %{name}

%post
texconfig-sys rehash

%postun
texconfig-sys rehash


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 346614
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 malo <malo> 1.1.1-1.mga3
+ Revision: 301060
- new version 1.1.1

* Wed Jun 13 2012 fwang <fwang> 1.1.0-1.mga3
+ Revision: 260290
- update file list
- update file list
- new version 1.1.0
- rebuild for new poppler

* Mon Mar 05 2012 fwang <fwang> 1.0.3-2.mga3
+ Revision: 218393
- add debian patches to fix build

  + luigiwalser <luigiwalser>
    - rebuild for netpbm

* Fri Dec 30 2011 mikala <mikala> 1.0.3-1.mga2
+ Revision: 188870
- Update tarball to 1.0.3

* Fri Oct 28 2011 fwang <fwang> 1.0.2-2.mga2
+ Revision: 158955
- rebuild for new poppler

* Tue Oct 18 2011 mikala <mikala> 1.0.2-1.mga2
+ Revision: 155988
- Update tarball to 1.0.2

* Tue Sep 27 2011 fwang <fwang> 1.0-2.mga2
+ Revision: 149369
- rebuild for new poppler

* Sun Sep 25 2011 mikala <mikala> 1.0-1.mga2
+ Revision: 147567
- Update tarball to 1.0
- remove %%defattr() and %%clean section
- fix buildrequires

  + fwang <fwang>
    - rebuild for new opencv

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Tue May 10 2011 mikala <mikala> 0.468-1.mga1
+ Revision: 97051
- Update tarball to 0.468
- Add %%clean section
- Clean %%buildroot in %%install section
- Fix BR
- imported package auto-multiple-choice

